aboutsummaryrefslogtreecommitdiffstats
path: root/util/add_addon_repo
diff options
context:
space:
mode:
authorfriendica <info@friendica.com>2015-02-19 19:48:07 -0800
committerfriendica <info@friendica.com>2015-02-19 19:48:07 -0800
commit436a82d74ec4f2b02adef3ba5fac0157ac2868ba (patch)
treead781e88197f7bb4cd4cdfc276139f76583332be /util/add_addon_repo
parent8c71e0e86184b844a69bfeabefdbb6ea50a849c9 (diff)
downloadvolse-hubzilla-436a82d74ec4f2b02adef3ba5fac0157ac2868ba.tar.gz
volse-hubzilla-436a82d74ec4f2b02adef3ba5fac0157ac2868ba.tar.bz2
volse-hubzilla-436a82d74ec4f2b02adef3ba5fac0157ac2868ba.zip
Scripts to add external theme and addon repositories.
Example: util/add_theme_repo https://github.com/deadsuperhero/redmatrix-themes deadsuperhero The final argument is a nickname on this system. The repository will be placed under extend/theme/deadsuperhero and the themes from that repository linked to your redmatrix theme directory. You can do the same with addons. We'll have to come up with some "pull" scripts to keep updated but the clever folks will already know how to do this.
Diffstat (limited to 'util/add_addon_repo')
-rwxr-xr-xutil/add_addon_repo36
1 files changed, 36 insertions, 0 deletions
diff --git a/util/add_addon_repo b/util/add_addon_repo
new file mode 100755
index 000000000..1425143bb
--- /dev/null
+++ b/util/add_addon_repo
@@ -0,0 +1,36 @@
+#!/bin/sh -f
+
+if [ $# -eq '3' ]; then
+ echo usage: $0 repo_url nickname
+ exit 1
+fi
+
+mkdir -p extend/addon/$2
+git clone $1 extend/addon/$2
+if [ $? -eq '0' ]; then
+ exit $?
+fi
+
+filelist=(`ls extend/addon/$2`)
+
+cd addon
+for a in "${filelist[@]}" ; do
+ base=`basename $a`
+ if [ $base = '.git' ]; then
+ echo 'ignoring git'
+ continue;
+ fi
+ if [ ! -d ../extend/addon/$2/$base ]; then
+ echo $a 'not a directory'
+ continue;
+ fi
+ echo linking $base
+ if [ -x $base ]; then
+ echo $base 'file exists'
+ continue;
+ fi
+
+ ln -s ../extend/addon/$2/$base $base
+done
+
+